package net.taehui.twilight.note

import net.taehui.twilight.Component
import net.taehui.twilight.awilight.DefaultCompute
import net.taehui.twilight.note.JudgedNoteData.ID

class VoidNote(logicalY: Double, wait: Double, input: Int) : InputNote(logicalY, wait, input) {
    override val logicalLayer: Int
        get() = 5
    override val layer: Int
        get() = -1

    override fun judge(input: Int, wait: Double, judgmentStage: Double, isAutoLongNote: Boolean): JudgedNoteData? {
        return null
    }

    override fun autoJudge(wait: Double): JudgedNoteData? {
        if (this.wait <= wait) {
            judged = Component.Judged.HIGHEST
            return JudgedNoteData(ID.NOT, 0.0, judged)
        }
        return null
    }

    override fun paint(defaultComputer: DefaultCompute) = Unit
}